APIs / Otomoto / Search

Otomoto: Search

Search from Otomoto as JSON. 1 credit per successful call.

GET /v1/otomoto/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
make_idstringOptionalUp to 64 characters
model_idstringOptionalUp to 64 characters
generationstringOptionalUp to 64 characters
price_minintegerOptionalAny
price_maxintegerOptionalAny
year_minintegerOptionalAny
year_maxintegerOptionalAny
mileage_minintegerOptionalAny
mileage_maxintegerOptionalAny
engine_power_maxintegerOptionalAny
fuel[]list of stringOptionalUp to 32 characters
transmission[]list of stringOptionalUp to 32 characters
body_type[]list of stringOptionalUp to 32 characters
city_idintegerOptionalAny
distintegerOptionalAny
sortstringOptionalUp to 64 characters
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/otomoto/search?make_id=volvo" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.